Skip to main content
`Ctrl`+`K`

# TSGetMaxSteps

Gets the maximum number of steps to use.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetMaxSteps(TS ts, PetscInt *maxsteps)

Not Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameter

- maxsteps - maximum number of steps to use

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetMaxSteps()`, `TSGetMaxTime()`, `TSSetMaxTime()`

## Level

advanced

## Location

src/ts/interface/ts.c

## Examples

src/ts/utils/dmplexlandau/tutorials/ex2.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages